package applications;

/*
 *  Copyright (C) 2018 Juergen Platzer
 *
 *  This file is part of JFXLibrary.
 *
 *  JFXLibrary is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  JFXLibrary is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JFXLibrary.  If not, see <http://www.gnu.org/licenses/>.
 */


import java.util.Hashtable;


/**
 * An entity that holds the default language properties, for example
 * all label names in English.
 **/
public abstract class GrayscaleReductionLanguageProperties {

  private static final String KEY_PREFIX = "GrayscaleReduction.";


  public static final String KEY_IMAGE = KEY_PREFIX + "Image";
  public static final String KEY_GRAYSCALE_NUM = KEY_PREFIX + "GrayscaleNum";




  public static void addDefaultLanguageProperties(Hashtable<String, String> pProperties) {
    if (pProperties == null) return;

    pProperties.put(KEY_IMAGE, "Image");
    pProperties.put(KEY_GRAYSCALE_NUM, "Number of grayscales");

  }
}
