package gui.color;

/*
 *  Copyright (C) 2014 Juergen Platzer 
 * 
 *  This file is part of JFXLibrary.
 *  
 *  JFXLibrary is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  JFXLibrary is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JFXLibrary.  If not, see <http://www.gnu.org/licenses/>.
 */

 /**
 *  The interface for classes that listen to changes of a {@code ColorGradientPanel} object.
 **/
public interface IColorGradientPanelListener {

  /**
   *  If the color gradient of the {@code ColorGradientPanel} has been changed, this is communicated with this method. 
   *
   *  @param pPanel The {@code ColorGradientPanel} object to which this class listens to.
   **/
  public void colorGradientChanged(ColorGradientPanel pPanel);
}
