package gui.image;

/*
 *  Copyright (C) 2018 Juergen Platzer 
 * 
 *  This file is part of JFXLibrary.
 *  
 *  JFXLibrary is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  JFXLibrary is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JFXLibrary.  If not, see <http://www.gnu.org/licenses/>.
 */

import java.awt.image.BufferedImage;

/**
 *  Interface for objects that listen to changes in an {@code MultipleImageLoadPanel}.
 */
public interface IMultipleImageLoadPanelListener {
  
  /**
   *  This method is called when the value of the {@code ImageLoadPanel} panel has been changed.
   *
   *  @param pPanel The {@code MultipleImageLoadPanel} to which the listener is registered and that triggered this method call.
   *  @param pImage The image id that has been changed.
   *  @param pImage The {@code BufferedImage} that is now set in the {@code ImageLoadPanel}.
   */
  public void applyChanges(MultipleImageLoadPanel pPanel, int iImageId, BufferedImage pImage);
}