package gui.transparency;

/*
 *  Copyright (C) 2018 Juergen Platzer 
 * 
 *  This file is part of JFXLibrary.
 *  
 *  JFXLibrary is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  JFXLibrary is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JFXLibrary.  If not, see <http://www.gnu.org/licenses/>.
 */

import standard.LinearTransitionProperties;
 
/**
 *  Interface for objects that listen to changes in a {@code ComboBoxPanel}.
 */
public interface ILinearTransitionPanelListener {
  
  /**
   *  This method is called when the settings of the {@code LinearTransitionPanel} object have been changed.
   *
   *  @param pPanel The {@code LinearTransitionPanel} to which the listener is registered and that triggered this method call.
   *  @param pProperties The properties of the linear transition that are hold by the {@code LinearTransitionPanel}.
   */
  public void applyChanges(LinearTransitionPanel pPanel, LinearTransitionProperties pProperties);
}