package standard;

/*
 *  Copyright (C) 2014 Juergen Platzer 
 * 
 *  This file is part of JFXLibrary.
 *  
 *  JFXLibrary is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  JFXLibrary is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JFXLibrary.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 *  Interface that an image or video effect parameter should implement. 
 **/
public interface IParameter {

  /**
   *  Sets the value of this parameter. The value is passed on as string. If the value could be set, true is returned. 
   *
   *  @param pValue The value of the parameter defined as string. 
   *
   *  @return true, if the value could be set, false otherwise. 
   **/
  public boolean setValue(String pValue);

}